import {
    Story,
    Preview,
    Meta,
    Description,
} from "@storybook/addon-docs/blocks";
import { withKnobs, text, array } from "@storybook/addon-knobs";
import { html } from "lit-html";
import CATEGORIES from "../categories";
import readme from "../../dist/docs/components/select/readme.md";

<Meta title={CATEGORIES.COMPONENTS + "Select"} />

# Select input

This is similar to the static HTML variant.

<Preview
    mdxSource={`
        <ui-select>
            <option value="sortBy:alphabet"> Alpha </option>
            <option value="sortBy:recentlyChanged"> Recently </option>
        </ui-select>
    `}
>
    <Story height="30px" name="Select" parameters={{ decorators: [withKnobs] }}>
        {html`
            <ui-select>
                <option value="sortBy:alphabet"> Alpha </option>
                <option value="sortBy:recentlyChanged"> Recently </option>
            </ui-select>
        `}
    </Story>
</Preview>

---

## Usage

```
<ui-select>
    <option value="a">Example 1</option>
    <option value="b">Example 2</option>
</ui-select>
```

# Developer Documentation

<Description markdown={readme} />
